using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MWS.Library.Enums
{
    public enum AlertType
    {
        /// <summary>
        /// 全部
        /// </summary>
        [Description("全部")]
        All = 0,
        /// <summary>
        /// 预警弃用
        /// </summary>
        [Description("指示")]
        [DefaultValue("#00FF00")]
        Tips = 1,
        /// <summary>
        /// 预警
        /// </summary>
        [Description("预警")]
        [DefaultValue("#FFFA00")]
        EarlyWarning = 2,

        /// <summary>
        /// 报警
        /// </summary>
        [Description("报警")]
        [DefaultValue("#FF2500")]
        Alert = 3,

        /// <summary>
        /// 故障
        /// </summary>
        [Description("故障")]
        [DefaultValue("#FF2500")]
        Error = 4,
    }
}
